mod server;

use server::{ServerCommand, ServerType};
use std::io;

fn main() {
    let mut server = server::ServerCommand::new(ServerType::Paper, "1.19.4-545")
        .jar("paper-1.19.4-545.jar")
        .config("data/config")
        .world("data/worlds")
        .backup("data/backups")
        .mem(512, 1024)
        .spawn()
        .unwrap();

    let stdin = io::stdin();
    let input = &mut String::new();

    loop {
        input.clear();
        stdin.read_line(input);
        println!("input: {}", input.trim());
        if let Err(e) = server.send_command(input) {
            println!("{}", e);
        };

        if input.trim() == "stop" {
            break;
        }
    }
}
